shithub: puzzles

Download patch

ref: 3dfeadd7389c0dc7b54be7ab3ad201ea6b98b5b4
parent: 1add9dcc1bd28f86d9e3f6582e0d43ecbcd88301
author: Simon Tatham <anakin@pobox.com>
date: Sun May 15 06:58:09 EDT 2005

Er, except that I already had a makedist.sh. Transferred new version
code into that!

[originally from svn r5783]

--- a/Recipe
+++ b/Recipe
@@ -104,7 +104,7 @@
 FORCE:
 	if test -z "$(VER)" && test -f manifest && md5sum -c manifest; then \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) `cat version.def` -c version.c; \
-	elif test -z "$(VER)" && svnversion . >&/dev/null; then \
+	elif test -z "$(VER)" && test -d .svn && svnversion . >&/dev/null; then \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) "-DREVISION=`svnversion .`" -c version.c; \
 	else \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) $(VER) -c version.c; \
@@ -119,7 +119,7 @@
 FORCE:
 	if test -z "$(VER)" && test -f manifest && (md5 -r `awk '{print $$2}' manifest` | diff -w manifest -); then \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) `cat version.def` -c version.c; \
-	elif test -z "$(VER)" && svnversion . >&/dev/null; then \
+	elif test -z "$(VER)" && test -d .svn && svnversion . >&/dev/null; then \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) "-DREVISION=`svnversion .`" -c version.c; \
 	else \
 		$(CC) $(COMPAT) $(XFLAGS) $(CFLAGS) $(VER) -c version.c; \
--- a/makedist.sh
+++ b/makedist.sh
@@ -1,9 +1,37 @@
 #!/bin/sh 
 
+# Build a Unix source distribution from the Puzzles SVN area.
+#
+# Pass a numeric argument to have the archive tagged as that SVN
+# revision. Otherwise, the script will work it out itself by
+# calling `svnversion', or failing that it will not version-tag the
+# archive at all.
+
+case "$#" in
+  0)
+    # Ignore errors; if we can't get a version, we'll have a blank
+    # string.
+    rev=`svnversion . 2>/dev/null`
+    if test "x$rev" = "xexported"; then rev=; fi
+    ;;
+  *)
+    case "$1" in *[!0-9]*) echo "Malformed revision number '$1'">&2;exit 1;;esac
+    rev="$1"
+    ;;
+esac
+
+if test "x$rev" != "x"; then
+  arcsuffix="-r$rev"
+  ver="-DREVISION=$rev"
+else
+  arcsuffix=
+  ver=
+fi
+
 perl mkfiles.pl
 
 mkdir tmp.$$
-mkdir tmp.$$/puzzles
+mkdir tmp.$$/puzzles$arcsuffix
 
 # Build Windows Help and text versions of the manual for convenience.
 halibut --winhelp=puzzles.hlp --text=puzzles.txt puzzles.but
@@ -14,9 +42,16 @@
 for i in *.c *.m *.h *.but *.plist *.icns LICENCE README Recipe \
   mkfiles.pl Makefile Makefile.* \
   HACKING puzzles.txt puzzles.hlp puzzles.cnt; do
-  ln -s ../../$i tmp.$$/puzzles
+  ln -s ../../$i tmp.$$/puzzles$arcsuffix
+  if test "x$ver" != "x"; then
+    md5sum $i >> tmp.$$/puzzles$arcsuffix/manifest
+  fi
 done
 
-tar -C tmp.$$ -chzf - puzzles > ../puzzles.tar.gz
+if test "x$ver" != "x"; then
+  echo "$ver" >> tmp.$$/puzzles$arcsuffix/version.def
+fi
+
+tar -C tmp.$$ -chzf - puzzles$arcsuffix > ../puzzles$arcsuffix.tar.gz
 
 rm -rf tmp.$$
--- a/mkunxarc.sh
+++ /dev/null
@@ -1,55 +1,0 @@
-#!/bin/sh 
-
-# Build a Unix source distribution from the Puzzles SVN area.
-#
-# Pass a numeric argument to have the archive tagged as that SVN
-# revision. Otherwise, the script will work it out itself by
-# calling `svnversion', or failing that it will not version-tag the
-# archive at all.
-
-case "$#" in
-  0)
-    # Ignore errors; if we can't get a version, we'll have a blank
-    # string.
-    rev=`svnversion . 2>/dev/null`
-    ;;
-  *)
-    case "$1" in *[!0-9]*) echo "Malformed revision number '$1'">&2;exit 1;;esac
-    rev="$1"
-    ;;
-esac
-
-if test "x$rev" != "x"; then
-  arcsuffix="-r$rev"
-  ver="-DREVISION=$rev"
-else
-  arcsuffix=
-  ver=
-fi
-
-perl mkfiles.pl
-make -s -f Makefile.doc
-
-arcname="puzzles$arcsuffix"
-mkdir uxarc
-mkdir uxarc/$arcname
-find . -name uxarc -prune -o \
-       -name CVS -prune -o \
-       -name '*.app' -prune -o \
-       -name '.[^.]*' -prune -o \
-       -name . -o \
-       -type d -exec mkdir uxarc/$arcname/{} \;
-find . -name uxarc -prune -o \
-       -name CVS -prune -o \
-       -name '.[^.]*' -prune -o \
-       -name '*.app' -prune -o \
-       -name '*.zip' -prune -o \
-       -name '*.tar.gz' -prune -o \
-       -type f -exec ln -s $PWD/{} uxarc/$arcname/{} \;
-if test "x$ver" != "x"; then
-  (cd uxarc/$arcname;
-   md5sum `find . -name '*.[ch]' -print` > manifest;
-   echo "$ver" > version.def)
-fi
-tar -C uxarc -chzof $arcname.tar.gz $arcname
-rm -rf uxarc